; Xprotoalb: AVR XMEGA Oscilloscope and Development Kit
;
; Gabotronics C.A.
; July 2010
;
; Copyright 2010 Gabriel Anzziani
;
; This program is distributed under the terms of the GNU General Public License 
;
; www.gabotronics.com
; email me at: gabriel@gabotronics.com

#include <avr/io.h>

; trigger on PC0
;----------------------------------------------------------------------------;
;
.global trigpc0
.func trigpc0
trigpc0:
	sbic	0x0000,0	    ; 2 cycle ; Status update? (GPIO0)
	rjmp	canceltrigpc0
    sbic    0x001A,0        ; Check if bit VPORT2.0 is low
	rjmp	trigpc0
trigpc0b:
	sbic	0x0000,0	    ; 2 cycle ; Status update? (GPIO0)
	rjmp	canceltrigpc0
    sbis    0x001A,0        ; Check if bit VPORT2.0 is high
	rjmp	trigpc0b

	sbi		0x0001, 4       ; Set trigger (GPIO1)
canceltrigpc0:
    ret
.endfunc

; trigger on PC1
;----------------------------------------------------------------------------;
;
.global trigpc1
.func trigpc1
trigpc1:
	sbic	0x0000,0	    ; 2 cycle ; Status update? (GPIO0)
	rjmp	canceltrigpc1
    sbic    0x001A,1        ; Check if bit VPORT2.1 is low
	rjmp	trigpc1
trigpc1b:
	sbic	0x0000,0	    ; 2 cycle ; Status update? (GPIO0)
	rjmp	canceltrigpc1
    sbis    0x001A,1        ; Check if bit VPORT2.1 is high
	rjmp	trigpc1b

	sbi		0x0001, 4       ; Set trigger (GPIO1)
canceltrigpc1:
    ret
.endfunc

; trigger on PC2
;----------------------------------------------------------------------------;
;
.global trigpc2
.func trigpc2
trigpc2:
	sbic	0x0000,0	    ; 2 cycle ; Status update? (GPIO0)
	rjmp	canceltrigpc2
    sbic    0x001A,2        ; Check if bit VPORT2.1 is low
	rjmp	trigpc2
trigpc2b:
	sbic	0x0000,0	    ; 2 cycle ; Status update? (GPIO0)
	rjmp	canceltrigpc2
    sbis    0x001A,2        ; Check if bit VPORT2.1 is high
	rjmp	trigpc2b

	sbi		0x0001, 4       ; Set trigger (GPIO1)
canceltrigpc2:
    ret
.endfunc


; trigger on PC3
;----------------------------------------------------------------------------;
;
.global trigpc3
.func trigpc3
trigpc3:
	sbic	0x0000,0	    ; 2 cycle ; Status update? (GPIO0)
	rjmp	canceltrigpc3
    sbic    0x001A,3        ; Check if bit VPORT2.1 is low
	rjmp	trigpc3
trigpc3b:
	sbic	0x0000,0	    ; 2 cycle ; Status update? (GPIO0)
	rjmp	canceltrigpc3
    sbis    0x001A,3        ; Check if bit VPORT2.1 is high
	rjmp	trigpc3b

	sbi		0x0001, 4       ; Set trigger (GPIO1)
canceltrigpc3:
    ret
.endfunc


; trigger on PC4
;----------------------------------------------------------------------------;
;
.global trigpc4
.func trigpc4
trigpc4:
	sbic	0x0000,0	    ; 2 cycle ; Status update? (GPIO0)
	rjmp	canceltrigpc4
    sbic    0x001A,4        ; Check if bit VPORT2.1 is low
	rjmp	trigpc4
trigpc4b:
	sbic	0x0000,0	    ; 2 cycle ; Status update? (GPIO0)
	rjmp	canceltrigpc4
    sbis    0x001A,4        ; Check if bit VPORT2.1 is high
	rjmp	trigpc4b

	sbi		0x0001, 4       ; Set trigger (GPIO1)
canceltrigpc4:
    ret
.endfunc


; trigger on PC5
;----------------------------------------------------------------------------;
;
.global trigpc5
.func trigpc5
trigpc5:
	sbic	0x0000,0	    ; 2 cycle ; Status update? (GPIO0)
	rjmp	canceltrigpc5
    sbic    0x001A,5        ; Check if bit VPORT2.1 is low
	rjmp	trigpc5
trigpc5b:
	sbic	0x0000,0	    ; 2 cycle ; Status update? (GPIO0)
	rjmp	canceltrigpc5
    sbis    0x001A,5        ; Check if bit VPORT2.1 is high
	rjmp	trigpc5b

	sbi		0x0001, 4       ; Set trigger (GPIO1)
canceltrigpc5:
    ret
.endfunc


; trigger on PC6
;----------------------------------------------------------------------------;
;
.global trigpc6
.func trigpc6
trigpc6:
	sbic	0x0000,0	    ; 2 cycle ; Status update? (GPIO0)
	rjmp	canceltrigpc6
    sbic    0x001A,6        ; Check if bit VPORT2.1 is low
	rjmp	trigpc6
trigpc6b:
	sbic	0x0000,0	    ; 2 cycle ; Status update? (GPIO0)
	rjmp	canceltrigpc6
    sbis    0x001A,6        ; Check if bit VPORT2.1 is high
	rjmp	trigpc6b

	sbi		0x0001, 4       ; Set trigger (GPIO1)
canceltrigpc6:
    ret
.endfunc


; trigger on PC7
;----------------------------------------------------------------------------;
;
.global trigpc7
.func trigpc7
trigpc7:
	sbic	0x0000,0	    ; 2 cycle ; Status update? (GPIO0)
	rjmp	canceltrigpc7
    sbic    0x001A,7        ; Check if bit VPORT2.1 is low
	rjmp	trigpc7
trigpc7b:
	sbic	0x0000,0	    ; 2 cycle ; Status update? (GPIO0)
	rjmp	canceltrigpc7
    sbis    0x001A,7        ; Check if bit VPORT2.1 is high
	rjmp	trigpc7b

	sbi		0x0001, 4       ; Set trigger (GPIO1)
canceltrigpc7:
    ret
.endfunc



